Please update iproute2 to the latest version

Bug #1448800 reported by Jeff Loughridge
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
iproute2 (Ubuntu)
Fix Released
Medium
Andy Whitcroft

Bug Description

That iproute2 version does not match kernel version 3.19 prevents users from using new features in kernel 3.19 such as ipvlan.

jeffl@ubuntu:~$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=15.04
DISTRIB_CODENAME=vivid
DISTRIB_DESCRIPTION="Ubuntu 15.04"
jeffl@ubuntu:~$ uname -a
Linux ubuntu 3.19.0-15-generic #15-Ubuntu SMP Thu Apr 16 23:32:37 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
jeffl@ubuntu:~$ dpkg -l | grep iproute2
ii iproute2 3.16.0-2ubuntu1 amd64 networking and traffic control tools
jeffl@ubuntu:~$

Revision history for this message
Robie Basak (racb) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.
to
As Vivid is now released and this is a new feature, it seems unlikely that we'll be able to update this package in Vivid. See https://wiki.ubuntu.com/StableReleaseUpdates for policy and rationale. But we can track the update to a newer version of iproute2 in the development release in this bug.

tags: added: upgrade-software-version
summary: - iproute2 version in vivid vervet
+ Please update iproute2 to the latest version
Changed in iproute2 (Ubuntu):
status: New → Triaged
importance: Undecided → Wishlist
Revision history for this message
Jeff Loughridge (jeffl-v) wrote :

Sounds good. Thanks, Robie.

Revision history for this message
Fabio Kung (fabiokung) wrote :

It is worth mentioning that wily currently does not seem to include a version of iproute2 with support for ipvlan either.

Revision history for this message
Sebastien Bacher (seb128) wrote :

Seems like Debian has the new version
https://packages.qa.debian.org/i/iproute2.html

Ubuntu is not in sync anymore because of "Ubuntu fAN support", so it needs to be merged ... Andy, can you have a look?

Changed in iproute2 (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
Robie Basak (racb)
Changed in iproute2 (Ubuntu):
importance: Wishlist → Medium
milestone: none → ubuntu-15.08
Andy Whitcroft (apw)
Changed in iproute2 (Ubuntu):
status: Triaged → In Progress
Andy Whitcroft (apw)
Changed in iproute2 (Ubuntu):
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package iproute2 - 4.1.1-1ubuntu1

---------------
iproute2 (4.1.1-1ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining changes (LP: #1448800):
   - debian/patches/1000-ubuntu-poc-fan-driver.patch
     Ubuntu FAN driver support V2 (LP: #1439706)
   - debian/patches/1001-ubuntu-poc-fan-driver-v3.patch
     Ubuntu FAN driver support V3 (LP: #1470091)

iproute2 (4.1.1-1) unstable; urgency=medium

  * [be9f298] Imported Upstream version 4.1.1

iproute2 (4.0.0-1) unstable; urgency=medium

  * [6dd90fb] Imported Upstream version 4.0.0
  * [03b830b] Remove obsolete patch
              0003-ip-link-Remove-unnecessary-device-checking
  * [8c27170] Refresh patches
  * [0c99cce] Bump standards version (no changes)

 -- Andy Whitcroft <email address hidden> Wed, 19 Aug 2015 09:59:35 +0100

Changed in iproute2 (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers